%define version      0.9.0
%define release      2mdk
%define name gqmpeg

Summary: Frontend to mpg123.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Sound
Source: %name-%{version}.tar.bz2
BuildRoot: %_tmppath/%{name}-buildroot
URL: http://gqmpeg.sourceforge.net

Requires: gtk+ >= 1.2
Requires: gdk-pixbuf >= 0.7.0
Requires: mpg123 >= 0.59

%description
GQmpeg is a frontend to mpg123.
It includes playlist support and all
the usual playing features.
Random, repeat, etc.
And supports custom skins (looks)
Uilitizes the GTK library.
Requires mpg123 v 0.59q

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
if [ ! -f configure ]; then
  CFLAGS="$MYCFLAGS" ./autogen.sh $MYARCH_FLAGS --prefix=%_prefix 
else
  CFLAGS="$MYCFLAGS" ./configure $MYARCH_FLAGS --prefix=%_prefix 
fi

%make

%install

make GNOME_DATADIR=$RPM_BUILD_ROOT%{_prefix}/share prefix=$RPM_BUILD_ROOT%{_prefix} install

mkdir -p $RPM_BUILD_ROOT%_mandir/man1/

mv $RPM_BUILD_ROOT/usr/man/man1/* $RPM_BUILD_ROOT%_mandir/man1/

%{find_lang} %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gqmpeg"\
title="Gqmpeg"\
longtitle="Frontend to mpg123"\
needs="x11"\
section="Multimedia/Sound"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}



%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc README COPYING FAQ TODO SKIN-SPECS SKIN-SPECS-V1 plugin/README.plugin
%{_bindir}/*
%{_datadir}/gqmpeg/*
%{_datadir}/gnome/apps/Multimedia/gqmpeg.desktop
%{_datadir}/pixmaps/gqmpeg.png
%{_mandir}/man1/*
%_menudir/*

%changelog
* Tue Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-2mdk
- rebuild

* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9.0-1mdk
- 0.9.0.

* Mon Mar 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- updated to 0.8.3
- fix build

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-3mdk
- BM
- macros
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-2mdk
- fix group and files section

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs

